Issue 120708 - Upload of Scottish Gaelic (gd) translation
Summary: Upload of Scottish Gaelic (gd) translation
Status: RESOLVED FIXED
Alias: None
Product: Native-Lang
Classification: NLC
Component: gd (show other issues)
Version: 3.4.0
Hardware: All All
: P3 Normal
Target Milestone: 3.4.1
Assignee: jsc
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-25 00:26 UTC by fios
Modified: 2013-07-11 08:38 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
zipped archive of all po files (918.36 KB, application/x-zip-compressed)
2012-08-25 00:26 UTC, fios
no flags Details
AOO341 gd po files for xmlsecurity (3.00 KB, application/x-bzip2)
2012-09-21 07:32 UTC, jsc
no flags Details
translated xmlsecurity pos (5.24 KB, application/x-zip-compressed)
2012-09-21 12:19 UTC, fios
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description fios 2012-08-25 00:26:30 UTC
Created attachment 79133 [details]
zipped archive of all po files

Could someone please commit this translation for Scottish Gaelic (gd)? Please ensure that you overwrite all current strings, most of it is gibberish from some ancient pre-translate someone committed for some strange reason.
Comment 1 Ariel Constenla-Haile 2012-09-04 01:05:26 UTC
Assigning to Jürgen, who was access to the Pootle server
Comment 2 Ariel Constenla-Haile 2012-09-04 01:09:14 UTC
I've found following warning while converting the PO files to SDF:

[ariel@localhost aoo]$ po2oo -l gd -t en-US-branch-AOO34.sdf --keeptimestamp --skipsource gd-po/ new_gd.sdf
processing 223 files...
[######################                     ]  52%
po2oo: warning: No template at None. Skipping connectivity/source/drivers/hsqldb3.po.
[######################                     ]  52%
po2oo: warning: No template at None. Skipping connectivity/source/drivers/flat3.po.
[######################                     ]  52%
po2oo: warning: No template at None. Skipping connectivity/source/drivers/mozab3.po.

po2oo: warning: No template at None. Skipping connectivity/source/drivers/kab3.po.

po2oo: warning: No template at None. Skipping connectivity/source/drivers/odbc3.po.
[#######################                    ]  54%
po2oo: warning: No template at None. Skipping connectivity/source/drivers/mysql3.po.
[#######################                    ]  54%
po2oo: warning: No template at None. Skipping connectivity/source/drivers/macab3.po.

po2oo: warning: No template at None. Skipping connectivity/source/drivers/jdbc3.po.
couldn't find key optgdlg.src#OFA_TP_VIEW.LB_ICONSTYLE.6.stringlist from po in 675 keys
#: optgdlg.src#OFA_TP_VIEW.LB_ICONSTYLE.6.stringlist.text
msgid "Classic"
msgstr "Clasaigeach"
Comment 3 fios 2012-09-04 12:18:07 UTC
I haven't the faintest idea what that tells me, sorry, I'm not a triple IT graduate from Princeton, I'm mainly a very good translator :/
Comment 4 jsc 2012-09-20 11:52:40 UTC
I have updated the po files on the Pootle server, can you please have a look. I had to merge them again with the templates to get the same word count. That the reason why some words are not translated yet.
Comment 5 fios 2012-09-20 11:59:31 UTC
There are 10 po files which were missing from the zip I was given (see https://translate.apache.org/gd/OOo_34/connectivity/source/drivers/ and https://translate.apache.org/gd/OOo_34/xmlsecurity/source/)

If you bundle me those, I'll deal with them.
Comment 6 fios 2012-09-20 14:41:02 UTC
Actually... I've done all the ones in https://translate.apache.org/gd/OOo_34/connectivity/source/drivers/ - no idea what's the matter there and I certainly can't fix it. They're all fairly banal strings like macab3.po which just contains

Mac OS X Address Book
Leabhar sheòlaidhean Mac OS X

so it's not like I missed a placeholder or something.

xmlsecurity on the other hand I was just not given.
Comment 7 jsc 2012-09-21 07:27:56 UTC
the zip file contains files with a slightly different name ...3.po

ls gd/connectivity/source/drivers/
adabas.po  ado.po     calc.po    dbase.po   evoab.po   evoab2.po  flat3.po   hsqldb3.po jdbc3.po   kab3.po    macab3.po  mozab3.po  mysql3.po  odbc3.po

I don't understand why but I will take the strings from there.

And I don't know or don't understand why you haven't received the xmlsecurity files together with all others. I will attache them ...
Comment 8 jsc 2012-09-21 07:32:47 UTC
Created attachment 79600 [details]
AOO341 gd po files for xmlsecurity

here the missing po files for xmlsecurity
Comment 9 fios 2012-09-21 12:19:18 UTC
Created attachment 79616 [details]
translated xmlsecurity pos

Thanks! Who knows how these things happen :)

Done and attached!
Comment 10 SVN Robot 2012-10-08 15:03:23 UTC
"jsc" committed SVN revision 1395602 into trunk:
#120708# #120709# update Scots Gaelic translation\n\nPatch By: Michael Bauer,...
Comment 11 SVN Robot 2012-12-14 12:28:07 UTC
"jsc" committed SVN revision 1421817 into branches/AOO34:
#120708# add new translation for Scottich Gaelic (gd) for AOO 3.4.1
Comment 12 jsc 2012-12-14 13:13:39 UTC
change to feature
Comment 13 SVN Robot 2013-01-04 13:44:14 UTC
"jsc" committed SVN revision 1428849 into trunk:
#120708# merge from branch AOO34
Comment 14 jsc 2013-01-07 14:53:58 UTC
updated translation integrated on branch AOO34 and merged to trunk